Intermittent mozmake.EXE[7]: *** [installer-stage] Error 1 after cp: will not create hard link `../../installer-stage/core/./defaults/pref' to directory `../../installer-stage/core/./browser'

RESOLVED INCOMPLETE

Status

P5
normal
RESOLVED INCOMPLETE
11 months ago
5 months ago

People

(Reporter: intermittent-bug-filer, Unassigned)

Tracking

({intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

11 months ago
treeherder
Filed by: archaeopteryx [at] coole-files.de

https://treeherder.mozilla.org/logviewer.html#?job_id=130686714&repo=mozilla-inbound

https://queue.taskcluster.net/v1/task/Fkdx3iitTaaNaKjyZQ9SxQ/runs/0/artifacts/public/logs/live_backing.log

16:46:54     INFO -  `../../dist/firefox/./crashreporter.exe' -> `../../installer-stage/core/./crashreporter.exe'
16:46:54     INFO -  `../../dist/firefox/./crashreporter.ini' -> `../../installer-stage/core/./crashreporter.ini'
16:46:54     INFO -  `../../dist/firefox/./d3dcompiler_47.dll' -> `../../installer-stage/core/./d3dcompiler_47.dll'
16:46:54     INFO -  `../../dist/firefox/./defaults' -> `../../installer-stage/core/./defaults'
16:46:54     INFO -  cp: will not create hard link `../../installer-stage/core/./defaults/pref' to directory `../../installer-stage/core/./browser'
16:46:54     INFO -  `../../dist/firefox/./dependentlibs.list' -> `../../installer-stage/core/./dependentlibs.list'
16:46:54     INFO -  `../../dist/firefox/./dictionaries' -> `../../installer-stage/core/./dictionaries'
16:46:54     INFO -  `../../dist/firefox/./dictionaries/en-US.aff' -> `../../installer-stage/core/./dictionaries/en-US.aff'
16:46:54     INFO -  `../../dist/firefox/./dictionaries/en-US.dic' -> `../../installer-stage/core/./dictionaries/en-US.dic'
16:46:54     INFO -  `../../dist/firefox/./firefox.exe' -> `../../installer-stage/core/./firefox.exe'
16:46:54     INFO -  `../../dist/firefox/./firefox.VisualElementsManifest.xml' -> `../../installer-stage/core/./firefox.VisualElementsManifest.xml'
16:46:54     INFO -  `../../dist/firefox/./fonts' -> `../../installer-stage/core/./fonts'
16:46:54     INFO -  `../../dist/firefox/./fonts/EmojiOneMozilla.ttf' -> `../../installer-stage/core/./fonts/EmojiOneMozilla.ttf'
16:46:54     INFO -  `../../dist/firefox/./freebl3.chk' -> `../../installer-stage/core/./freebl3.chk'
16:46:54     INFO -  `../../dist/firefox/./freebl3.dll' -> `../../installer-stage/core/./freebl3.dll'
16:46:54     INFO -  `../../dist/firefox/./gmp-clearkey' -> `../../installer-stage/core/./gmp-clearkey'
16:46:54     INFO -  `../../dist/firefox/./gmp-clearkey/0.1' -> `../../installer-stage/core/./gmp-clearkey/0.1'
16:46:54     INFO -  `../../dist/firefox/./gmp-clearkey/0.1/clearkey.dll' -> `../../installer-stage/core/./gmp-clearkey/0.1/clearkey.dll'
16:46:54     INFO -  `../../dist/firefox/./gmp-clearkey/0.1/manifest.json' -> `../../installer-stage/core/./gmp-clearkey/0.1/manifest.json'
16:46:54     INFO -  `../../dist/firefox/./IA2Marshal.dll' -> `../../installer-stage/core/./IA2Marshal.dll'
16:46:54     INFO -  `../../dist/firefox/./lgpllibs.dll' -> `../../installer-stage/core/./lgpllibs.dll'
16:46:54     INFO -  `../../dist/firefox/./libEGL.dll' -> `../../installer-stage/core/./libEGL.dll'
16:46:54     INFO -  `../../dist/firefox/./libGLESv2.dll' -> `../../installer-stage/core/./libGLESv2.dll'
16:46:54     INFO -  `../../dist/firefox/./maintenanceservice.exe' -> `../../installer-stage/core/./maintenanceservice.exe'
16:46:54     INFO -  `../../dist/firefox/./maintenanceservice_installer.exe' -> `../../installer-stage/core/./maintenanceservice_installer.exe'
16:46:54     INFO -  `../../dist/firefox/./minidump-analyzer.exe' -> `../../installer-stage/core/./minidump-analyzer.exe'
16:46:54     INFO -  `../../dist/firefox/./mozavcodec.dll' -> `../../installer-stage/core/./mozavcodec.dll'
16:46:54     INFO -  `../../dist/firefox/./mozavutil.dll' -> `../../installer-stage/core/./mozavutil.dll'
16:46:54     INFO -  `../../dist/firefox/./mozglue.dll' -> `../../installer-stage/core/./mozglue.dll'
16:46:54     INFO -  `../../dist/firefox/./msvcp140.dll' -> `../../installer-stage/core/./msvcp140.dll'
16:46:54     INFO -  `../../dist/firefox/./nss3.dll' -> `../../installer-stage/core/./nss3.dll'
16:46:54     INFO -  `../../dist/firefox/./nssckbi.dll' -> `../../installer-stage/core/./nssckbi.dll'
16:46:54     INFO -  `../../dist/firefox/./nssdbm3.chk' -> `../../installer-stage/core/./nssdbm3.chk'
16:46:54     INFO -  `../../dist/firefox/./nssdbm3.dll' -> `../../installer-stage/core/./nssdbm3.dll'
16:46:54     INFO -  `../../dist/firefox/./omni.ja' -> `../../installer-stage/core/./omni.ja'
16:46:54     INFO -  `../../dist/firefox/./pdfium.dll' -> `../../installer-stage/core/./pdfium.dll'
16:46:54     INFO -  `../../dist/firefox/./pingsender.exe' -> `../../installer-stage/core/./pingsender.exe'
16:46:54     INFO -  `../../dist/firefox/./platform.ini' -> `../../installer-stage/core/./platform.ini'
16:46:54     INFO -  `../../dist/firefox/./plugin-container.exe' -> `../../installer-stage/core/./plugin-container.exe'
16:46:54     INFO -  `../../dist/firefox/./plugin-hang-ui.exe' -> `../../installer-stage/core/./plugin-hang-ui.exe'
16:46:54     INFO -  `../../dist/firefox/./precomplete' -> `../../installer-stage/core/./precomplete'
16:46:54     INFO -  `../../dist/firefox/./qipcap.dll' -> `../../installer-stage/core/./qipcap.dll'
16:46:54     INFO -  `../../dist/firefox/./removed-files' -> `../../installer-stage/core/./removed-files'
16:46:54     INFO -  `../../dist/firefox/./softokn3.chk' -> `../../installer-stage/core/./softokn3.chk'
16:46:54     INFO -  `../../dist/firefox/./softokn3.dll' -> `../../installer-stage/core/./softokn3.dll'
16:46:54     INFO -  `../../dist/firefox/./ucrtbase.dll' -> `../../installer-stage/core/./ucrtbase.dll'
16:46:54     INFO -  `../../dist/firefox/./uninstall' -> `../../installer-stage/core/./uninstall'
16:46:54     INFO -  `../../dist/firefox/./uninstall/helper.exe' -> `../../installer-stage/core/./uninstall/helper.exe'
16:46:54     INFO -  `../../dist/firefox/./update-settings.ini' -> `../../installer-stage/core/./update-settings.ini'
16:46:54     INFO -  `../../dist/firefox/./updater.exe' -> `../../installer-stage/core/./updater.exe'
16:46:54     INFO -  `../../dist/firefox/./updater.ini' -> `../../installer-stage/core/./updater.ini'
16:46:54     INFO -  `../../dist/firefox/./vcruntime140.dll' -> `../../installer-stage/core/./vcruntime140.dll'
16:46:54     INFO -  `../../dist/firefox/./xul.dll' -> `../../installer-stage/core/./xul.dll'
16:46:54     INFO -  z:/build/build/src/toolkit/mozapps/installer/packager.mk:20: recipe for target 'installer-stage' failed
16:46:54     INFO -  mozmake.EXE[7]: *** [installer-stage] Error 1
16:46:54     INFO -  mozmake.EXE[7]: Leaving directory 'z:/build/build/src/obj-firefox/browser/installer'
16:46:54     INFO -  Makefile:56: recipe for target 'installer' failed
16:46:54     INFO -  mozmake.EXE[6]: *** [installer] Error 2
16:46:54     INFO -  Makefile:189: recipe for target 'installer' failed
16:46:54     INFO -  mozmake.EXE[5]: *** [installer] Error 2
16:46:54     INFO -  z:/build/build/src/browser/build.mk:6: recipe for target 'installer' failed
16:46:54     INFO -  mozmake.EXE[4]: *** [installer] Error 2
16:46:54     INFO -  z:/build/build/src/build/moz-automation.mk:98: recipe for target 'automation/installer' failed
16:46:54     INFO -  mozmake.EXE[3]: *** [automation/installer] Error 2
5 failures in 1032 pushes (0.005 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 3
* autoland: 2

Platform breakdown:
* windows2012-32: 3
* windows2012-64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1399552&startday=2017-09-11&endday=2017-09-17&tree=all
6 failures in 943 pushes (0.006 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 4
* mozilla-central: 1
* autoland: 1

Platform breakdown:
* windows2012-64: 3
* windows2012-32: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1399552&startday=2017-09-18&endday=2017-09-24&tree=all
5 failures in 885 pushes (0.006 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 3
* mozilla-inbound: 1
* mozilla-beta: 1

Platform breakdown:
* windows2012-64: 2
* windows2012-32: 2
* windows2012-32-noopt: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1399552&startday=2017-09-25&endday=2017-10-01&tree=all
6 failures in 824 pushes (0.007 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 3
* mozilla-inbound: 2
* mozilla-beta: 1

Platform breakdown:
* windows2012-32: 5
* windows2012-32-devedition: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1399552&startday=2017-10-02&endday=2017-10-08&tree=all
7 failures in 947 pushes (0.007 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 7

Platform breakdown:
* windows2012-32: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1399552&startday=2017-10-09&endday=2017-10-15&tree=all
2 failures in 864 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1
* autoland: 1

Platform breakdown:
* windows2012-64: 1
* windows2012-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1399552&startday=2017-10-16&endday=2017-10-22&tree=all
1 failures in 912 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* windows2012-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1399552&startday=2017-10-23&endday=2017-10-29&tree=all
5 failures in 857 pushes (0.006 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 4
* mozilla-inbound: 1

Platform breakdown:
* windows2012-32: 3
* windows2012-64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1399552&startday=2017-10-30&endday=2017-11-05&tree=all
1 failures in 744 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* windows2012-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1399552&startday=2017-11-20&endday=2017-11-26&tree=all
3 failures in 889 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 2
* autoland: 1

Platform breakdown:
* windows2012-32: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1399552&startday=2017-12-04&endday=2017-12-10&tree=all
1 failures in 788 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* windows2012-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1399552&startday=2018-01-08&endday=2018-01-14&tree=all
1 failures in 657 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* windows2012-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1399552&startday=2018-01-15&endday=2018-01-21&tree=all
2 failures in 735 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1
* autoland: 1

Platform breakdown:
* windows2012-32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1399552&startday=2018-01-29&endday=2018-02-04&tree=all
1 failures in 685 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* windows2012-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1399552&startday=2018-02-12&endday=2018-02-18&tree=all

Updated

6 months ago
Product: Core → Firefox Build System
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: NEW → RESOLVED
Last Resolved: 5 months ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.